﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GridTemplateSample
{
   public class ViewModel
    {
        public ViewModel()
        {
            DataRepository orderInfoRepository = new DataRepository();
            orderInfo = orderInfoRepository.GetOrderDetails(100);
        }

        #region ItemsSource

        private ObservableCollection<Model> orderInfo;

        public ObservableCollection<Model> OrderInfo
        {
            get { return this.orderInfo; }
            set { this.orderInfo = value; }
        }

        #endregion

        #region Property Changed

        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                var e = new PropertyChangedEventArgs(propertyName);
                handler(this, e);
            }
        }

        #endregion

       
    }
}
